/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
*/
package org.apache.uima.ducc.common.jd.files.workitem;

public interface IWorkItemStateKeeper {
	public void start(int seqNo, String wiId, String node, String pid, String tid);
	public void queued(int seqNo);
	public void operating(int seqNo);
	public void investmentReset(int seqNo);
	public void ended(int seqNo);
	public void error(int seqNo);
	public void retry(int seqNo);
	public void preempt(int seqNo);
	//
	public void persist();
	public void zip();
}
